#========================================================================================
# package      DE_EPAGES::RemoteSearch::Hooks::Feature.pm
# state        private
#----------------------------------------------------------------------------------------
# description  Update search index and shop settings on epagesj
#========================================================================================
package DE_EPAGES::RemoteSearch::Hooks::Feature;

use strict;

use DE_EPAGES::Object::API::Factory qw ( LoadObject );
use DE_EPAGES::RemoteSearch::API::RemoteSearchImpl qw ( RunIfRemoteSearchInitialized );

sub OnAfterUpdateShopFeature {
    my ($hShopFeature) = @_;

    my $Feature = LoadObject($hShopFeature->{'FeatureID'});
    if ($Feature->alias eq 'UnityFacetedSearch') {
        my $Shop = LoadObject($hShopFeature->{'ShopID'});
        # only for Unity shops
        if ($Shop->get('IsUnityRegistered')) {
            _reindexShop($Shop);
        }
    }

    return;
}

sub _reindexShop {
    my ($Shop) = @_;
    RunIfRemoteSearchInitialized($Shop, sub {
        my ($Search) = @_;
        $Search->initialize();
    });
    return;
}

1;
